#ifndef BASSAC3_H
#define BASSAC3_H

#include "bass.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef BASSAC3DEF
#define BASSAC3DEF(f) WINAPI f
#endif

// BASS_Set/GetConfig options
#define BASS_CONFIG_AC3_DOWNMIX		0x10000
#define BASS_CONFIG_AC3_DYNRNG		0x10001

// Additional BASS_AC3_StreamCreateFile/User/URL flags (and BASS_CONFIG_AC3_DOWNMIX config values)
#define BASS_AC3_DOWNMIX_2		0x200	// downmix to stereo
#define BASS_AC3_DOWNMIX_4		0x400	// downmix to quad
#define BASS_AC3_DOWNMIX_DOLBY	0x600	// downmix to dolby
#define BASS_AC3_DYNAMIC_RANGE	0x800	// enable dynamic range compression

// BASS_CHANNELINFO type
#define BASS_CTYPE_STREAM_AC3	0x11000


HSTREAM BASSAC3DEF(BASS_AC3_StreamCreateFile)(BOOL mem, const void *file, DWORD offset, DWORD length, DWORD flags);
HSTREAM BASSAC3DEF(BASS_AC3_StreamCreateURL)(const char *url, DWORD offset, DWORD flags, DOWNLOADPROC *proc, DWORD user);
HSTREAM BASSAC3DEF(BASS_AC3_StreamCreateFileUser)(BOOL buffered, DWORD flags, STREAMFILEPROC *proc, DWORD user);

#ifdef __cplusplus
}
#endif

#endif